#
# spec file for package hhdate
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global somajor 3
%global libname libdate-tz%{somajor}
Name:           hhdate
Version:        3.0.1
Release:        3.8
Summary:        Date and time library based on the C++11/14/17 chrono header
License:        MIT
Group:          Development/Libraries/C and C++
URL:            https://github.com/HowardHinnant/date
Source:         hhdate-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
A date and time library based on the C++11/14/17 chrono header.

%package  -n    %{libname}
Summary:        Development files for the hhdate library
Group:          Development/Libraries/C and C++

%description    -n %{libname}
A date and time library based on the C++11/14/17 chrono header.

%package        devel
Summary:        Development files for the hhdate library
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Conflicts:      %{name} <= %{version}

%description    devel
A date and time library based on the C++11/14/17 chrono header.

%prep
%setup -q

%build
%cmake -DBUILD_TZ_LIB=ON -DUSE_SYSTEM_TZ_DB=ON
%cmake_build

%install
%cmake_install

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%{_libdir}/libdate-tz.so.%{somajor}*
%license LICENSE.txt

%files devel
%license LICENSE.txt
%{_includedir}/date/
%{_libdir}/cmake/date/
%{_libdir}/libdate-tz.so

%changelog
* Mon Jan  9 2023 Filippo Bonazzi <filippo.bonazzi@suse.com>
- Use local TZ database (bsc#1206951)
- Remove now unnecessary libcurl build dependency
* Wed Dec  7 2022 Filippo Bonazzi <filippo.bonazzi@suse.com>
- Fix file conflicts with devel package
* Tue Dec  6 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Clean up specfile: use `devel` instead of `-n hhdate-devel`
- Improve description. It's based on the chrono header
- Use %%cmake_install
- Remove rpmlint errors:
  * Package is a library and does not include an executable
  * Create a libname package
  * add postun / post ldconfig declaration
- Add license also in the libname
* Thu Dec  1 2022 Filippo Bonazzi <filippo.bonazzi@suse.com>
- Clean up spec file: redundant Provides in devel package
* Thu Dec  1 2022 Filippo Bonazzi <filippo.bonazzi@suse.com>
- Package version 3.0.1
